Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class GroovyPagesJspFactory

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.codehaus.groovy.grails.web.pages.ext.jsp.GroovyPagesJspFactory

    abstract class GroovyPagesJspFactory
    extends JspFactory

Authors:
  Graeme Rocher

Since:
  1.0 Created: Jun 10, 2008

Method Summary
`JspEngineInfo` | `getEngineInfo()`
`PageContext` | `getPageContext(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)`
`protected java.lang.String` | `getSpecificationVersion()`
`void` | `releasePageContext(PageContext pageContext)`

Method Detail

### getEngineInfo

    JspEngineInfo getEngineInfo()

### getPageContext

    PageContext getPageContext(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)

### getSpecificationVersion

    protected java.lang.String getSpecificationVersion()

### releasePageContext

    void releasePageContext(PageContext pageContext)

Groovy Documentation